Show / Hide Table of Contents

# Struct ExcelModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.Excel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ExcelModule

### Methods

| Improve this Doc View Source

#### GetSheetByIndex(UInt32)

##### Declaration

    public ExcelSheet*GetSheetByIndex(uint sheetIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | sheetIndex |

##### Returns

Type | Description
--- | ---
ExcelSheet* |

| Improve this Doc View Source

#### GetSheetByName(Byte*)

##### Declaration

    public ExcelSheet*GetSheetByName(byte *sheetName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | sheetName |

##### Returns

Type | Description
--- | ---
ExcelSheet* |

| Improve this Doc View Source

#### LoadSheet(Byte*, Byte, Byte)

##### Declaration

    public void LoadSheet(byte *sheetName, byte a3 = 0, byte a4 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | sheetName |
System.Byte | a3 |
System.Byte | a4 |